Bug 1059659 - Review Request: python-aniso8601 - library for parsing dates in ISO8601 format
Review Request: python-aniso8601 - library for parsing dates in ISO8601 format
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1061732
  Show dependency treegraph
 
Reported: 2014-01-30 05:18 EST by Jan Sedlák
Modified: 2014-05-22 04:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-22 04:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbean: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Sedlák 2014-01-30 05:18:30 EST
Spec URL: http://jsedlak.fedorapeople.org/python-aniso8601.spec
SRPM URL: http://jsedlak.fedorapeople.org/python-aniso8601-0.82-1.fc20.src.rpm
Description:
Hi, I would appreciate a review for python-aniso8601 package. It is simple Python library that can convert string with date in ISO8601 format into datetime object, which is native object for representing dates in Python.

It also includes Python 3 support.

Fedora Account System Username: jsedlak
Comment 1 Jan Sedlák 2014-01-30 05:21:12 EST
Here is output from fedora-review package: http://jsedlak.fedorapeople.org/review-python-aniso8601/
Comment 2 Christopher Meng 2014-02-21 01:28:09 EST
1. %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
   %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from    distutils.sysconfig import get_python_lib; print(get_python_lib())")}
   %endif

Will you support EPEL5? If not please remove this.

2. %if (0%{?fedora} > 12 || 0%{?rhel} > 6)
   %global with_python3 1
   %endif

Well, who told you that RHEL7 has python3?


3. Summary:        A Python library for parsing ISO 8601 strings

For python 2 package, you can enhance it:

Summary:        Python 2 library for parsing ISO 8601 strings


For python 3 package, do it again:

Summary:        Python 3 library for parsing ISO 8601 strings

Thus please don't use Summary: %{summary}.

4. %description

Library, implemented in pure Python, for parsing date strings
in ISO 8601 format into datetime format.

Well:

This is a Python 2 library for parsing date strings
in ISO 8601 format into datetime format.

For python 3 package:

This is a Python 3 library for parsing date strings
in ISO 8601 format into datetime format.

5. %{python_sitelib} --> %{python2_sitelib}

6. Once you determine to support RHEL6, please add overrides:

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

7. Please delete the egginfo.
Comment 3 Jan Sedlák 2014-02-25 04:22:44 EST
I have corrected specfile. Specfile with srpm are available on the same link here:
Spec URL: http://jsedlak.fedorapeople.org/python-aniso8601.spec
SRPM URL: http://jsedlak.fedorapeople.org/python-aniso8601-0.82-1.fc20.src.rpm
Comment 4 Jan Sedlák 2014-02-25 05:03:54 EST
I have excluded egg-info from packaging, but I thought that according to https://fedoraproject.org/wiki/Packaging:Python_Eggs I should package egg-info as well..
Comment 5 Christopher Meng 2014-02-25 09:37:19 EST
(In reply to Jan Sedlák from comment #4)
> I have excluded egg-info from packaging, but I thought that according to
> https://fedoraproject.org/wiki/Packaging:Python_Eggs I should package
> egg-info as well..

So sorry! The statement was unclear.

I meant the egginfo shipped in the tarball instead of the generated one in RPM.

You should remove egginfo in %build or %prep, as described at

https://fedoraproject.org/wiki/Packaging:Python#Packaging_eggs_and_setuptools_concerns:

https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs
Comment 6 Jan Sedlák 2014-02-27 04:41:57 EST
Ok, thanks, I have updated specfile and srpm to delete egg-info in %prep phase.
Comment 7 Ralph Bean 2014-04-08 12:43:19 EDT
Looks good to me.  Package is approved!


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/threebean/1059659
     -python-aniso8601/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-aniso8601
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-aniso8601-0.82-1.fc20.noarch.rpm
          python3-aniso8601-0.82-1.fc20.noarch.rpm
          python-aniso8601-0.82-1.fc20.src.rpm
python-aniso8601.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python3-aniso8601.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python-aniso8601.src: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-aniso8601 python3-aniso8601
python-aniso8601.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
python3-aniso8601.noarch: W: spelling-error %description -l en_US datetime -> date time, date-time, daytime
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-aniso8601 (rpmlib, GLIBC filtered):
    python(abi)

python3-aniso8601 (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-aniso8601:
    python-aniso8601

python3-aniso8601:
    python3-aniso8601



Source checksums
----------------
https://pypi.python.org/packages/source/a/aniso8601/aniso8601-0.82.tar.gz :
  CHECKSUM(SHA256) this package     : e33ffc4ff6882e6a318c07844e346cd6160abe2f48cc2e797d2fe5f36364789e
  CHECKSUM(SHA256) upstream package : e33ffc4ff6882e6a318c07844e346cd6160abe2f48cc2e797d2fe5f36364789e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1059659
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 8 Ralph Bean 2014-04-08 12:45:09 EDT
I should have looked before leaping.  jsedlak still needs to be sponsored into the packager group.
Comment 9 Ralph Bean 2014-04-17 13:12:32 EDT
OK - after discussing over email, I will be Jan's sponsor.

Package is approved.
Comment 10 Jan Sedlák 2014-04-18 05:00:46 EDT
New Package SCM Request
=======================
Package Name: python-aniso8601
Short Description: Python library for converting date in ISO8601 format into datetime object
Owners: jsedlak
Branches: f19 f20 el6 el7
InitialCC:
Comment 11 Jan Sedlák 2014-04-18 06:25:18 EDT
I have misstyped "epel7" to "el7", pasting new request.
Comment 12 Jan Sedlák 2014-04-18 06:25:48 EDT
New Package SCM Request
=======================
Package Name: python-aniso8601
Short Description: Python library for converting date in ISO8601 format into datetime object
Owners: jsedlak
Branches: f19 f20 el6 epel7
InitialCC:
Comment 13 Jon Ciesla 2014-04-18 07:47:45 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2014-04-22 05:24:23 EDT
python-aniso8601-0.82-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-aniso8601-0.82-1.fc19
Comment 15 Fedora Update System 2014-04-22 05:26:07 EDT
python-aniso8601-0.82-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-aniso8601-0.82-1.fc20
Comment 16 Fedora Update System 2014-05-13 15:22:52 EDT
python-aniso8601-0.82-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2014-05-13 15:24:38 EDT
python-aniso8601-0.82-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.